<template>
  <v-dialog style="z-index: 99999;" v-model="alert.status" retain-focus persistent width="500px">
    <v-card class="pa-6" align="center">
      <v-icon style="transform: scale(1.3);" class="mb-3" x-large :color="alert.color">{{
        alert.icon
      }}</v-icon>
      <p>
        <span class="secondary--text" v-html="alert.message"></span>
      </p>
      <v-btn
        :class="hover ? `mt-4 white--text` : `mt-4`"
        elevation="0"
        :outlined="!hover"
        :color="alert.color"
        @click="cancel"
        @mouseenter="hover = true"
        @mouseleave="hover = false"
        >Ok</v-btn
      >
    </v-card>
  </v-dialog>
</template>

<script>
export default {
  name: 'Alert',
  computed: {
    alert() {
      return this.$store.state.user.alert
    },
  },
  data: () => ({
    dialog: true,
    hover: false,
  }),
  methods: {
    cancel() {
      this.$store.commit('user/UPDATE_ALERT', { status: false, message: '' })
    },
  },
}
</script>

<style></style>
